Subject: bug#56255: 28.1.50; sxhash-equal does not change when object is modified

From: Ihor Radchenko <[email-masked]>
Date: Wed, 29 Jun 2022 20:33:05 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> Ihor Radchenko <[email-masked]> writes:
>
>> This is exactly the problem at hand. I was hoping to find a fast way to
>> detect if a large deeply nested object is changed. If not, do not print
>> that object for the purpose of saving it to disk cache. Printing can
>> take up to 2-3 seconds in some cases.
>
> I think you basically have to restructure the code to add a guard to
> whatever's updating the structure to see whether it's "dirty" or not.

This is only possible when I have access to the code making changes to
the object.

The original idea was to detect changed objects in most generic way, as
a part of persistent storage library. Oh well.

Best,
Ihor